Create Price
curl --request POST \
--url https://api.withflex.com/v1/prices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"price": {
"lookup_key": "standard_monthly",
"transfer_lookup_key": true,
"description": "Premium SPF 50 mineral sunscreen",
"unit_amount": 2500,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"product_data": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"image_urls": [
"https://example.com/image.png"
],
"categories": [
"string"
],
"components": [
"string"
]
}
}
}
'import requests
url = "https://api.withflex.com/v1/prices"
payload = { "price": {
"lookup_key": "standard_monthly",
"transfer_lookup_key": True,
"description": "Premium SPF 50 mineral sunscreen",
"unit_amount": 2500,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"product_data": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"image_urls": ["https://example.com/image.png"],
"categories": ["string"],
"components": ["string"]
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
price: {
lookup_key: 'standard_monthly',
transfer_lookup_key: true,
description: 'Premium SPF 50 mineral sunscreen',
unit_amount: 2500,
recurring: {interval: 'day', interval_count: 0, trial_period_days: 0},
metadata: {order_id: '8842', channel: 'shopify'},
product: 'fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA',
product_data: {
name: 'Example',
description: 'Premium SPF 50 mineral sunscreen',
upc_code: 'example_value',
gtin: 'example_value',
reference_gtin: 'example_value',
url: 'https://example.com',
client_reference_id: 'example_value',
metadata: {order_id: '8842', channel: 'shopify'},
image_urls: ['https://example.com/image.png'],
categories: ['string'],
components: ['string']
}
}
})
};
fetch('https://api.withflex.com/v1/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"price": {
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"trial_period_days": 0,
"unit_amount": 0,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"lookup_key": "standard_monthly",
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Price
Creates a new price. Supply product to attach the price to an existing product, or product_data to create a new product inline in the same request. A price is one-time unless you include recurring, in which case it bills on the given interval. Amounts are in the smallest currency unit (cents) and charged in USD. If HSA/FSA eligibility is not set on the price, the parent product’s eligibility applies.
POST
/
v1
/
prices
Create Price
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single price object.
An envelope wrapping a single price object.
The price object.
Show child attributes
Show child attributes
Example:
{
"lookup_key": "standard_monthly",
"transfer_lookup_key": true,
"description": "Premium SPF 50 mineral sunscreen",
"unit_amount": 2500,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"metadata": { "order_id": "8842", "channel": "shopify" },
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"product_data": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": { "order_id": "8842", "channel": "shopify" },
"image_urls": ["https://example.com/image.png"],
"categories": ["string"],
"components": ["string"]
}
}
Response
An envelope wrapping a single price object.
An envelope wrapping a single price object.
The price object.
Show child attributes
Show child attributes
Example:
{
"price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"description": "Premium SPF 50 mineral sunscreen",
"trial_period_days": 0,
"unit_amount": 0,
"recurring": {
"interval": "day",
"interval_count": 0,
"trial_period_days": 0
},
"active": false,
"product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"type": "one_time",
"metadata": { "order_id": "8842", "channel": "shopify" },
"lookup_key": "standard_monthly",
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false
}